### Signal

# Gio MemoryMonitor::low-memory-warning

since: 2.64

#### Declaration

    void
    low_memory_warning (
      GMemoryMonitor* self,
      GMemoryMonitorWarningLevel level,
      gpointer user_data
    )

#### Description [src]

Emitted when the system is running low on free memory.

The signal handler should then take the appropriate action depending on the warning level. See the `GMemoryMonitorWarningLevel` documentation for details.

Since the `GMemoryMonitor` is a singleton, this signal will be emitted in the `g_main_context_default()`[global-default main context].

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.64

#### Parameters

`level`

  Type: `GMemoryMonitorWarningLevel`

  The `GMemoryMonitorWarningLevel` warning level.